#!/usr/bin/perl
#$Id: RO_GPS_client.pl,v 1.1 2002/10/23 07:14:13 white Exp $
use Socket;
use RO_GPS;
require '../jcode.pl';

if(@ARGV != 2){
    print STDERR "usage: $0 server ID\n";
    exit(1);
}else{
    $serv = shift;
    $ID   = shift;
}

my $port = 5963;
my %dummy;

@dummy{"APPRI_VER","ID","serv","name","place","HP","MaxHP","SP","MaxSP","Lv","Mes"} = 
    (&RO_GPS::version(),$ID,"iris","dummy","D1F",600,600,200,200,"/30/20","testing");
foreach(keys %dummy){
    &jcode::convert(\$dummy{$_},'sjis','euc');
}

$iaddr = inet_aton($serv);
$saddr = pack_sockaddr_in($port,$iaddr);
socket(SERV,PF_INET,SOCK_STREAM,0)
    or die "socket : $!";
connect(SERV,$saddr) or die "connect : $!";
select(SERV);$|= 1; select(STDOUT);
print "--connected\n";
$/ = "\002";
$mess = &RO_GPS::make_client_msg(%dummy);
print SERV $mess;
while(<SERV>){
    $_ =~ s/\001/::/g;
    &jcode::convert(\$_,'euc','sjis');
    print "mess : $_\n";
    sleep(1);
    print SERV $mess;
}
print "\n--connection closed\n";

